Failed to build libmediawiki

I have 3 files that Garuda KDE wants to update but will not. I keep getting the below rather I use Pamac, Konsole update or Topgrade. I just did a fresh install of Garuda and once landing on the desktop did the updates, and added software using the Garuda Welcome app. After a reboot I noticed I had updates so I attempted to do them and they won't apply.

https://aur.archlinux.org/packages-meta-ext-v1.json.gz: Socket I/O timed out
Preparing...
Synchronizing package databases...
Checking kipi-plugins dependencies...
Cloning libkipi build files...
Generating libkipi information...
Checking libkipi dependencies...
gpg: key 3A6A4DB839EAA6D7: public key "Albert Astals Cid <[email protected]>" imported
gpg: Total number processed: 1
gpg:               imported: 1

gpg: key DBD2CE893E2D1C87: public key "Christoph Feck <[email protected]>" imported
gpg: Total number processed: 1
gpg:               imported: 1

gpg: key BB463350D6EF31EF: public key "Heiko Becker <[email protected]>" imported
gpg: Total number processed: 1
gpg:               imported: 1

Checking sdl_pango dependencies...
Checking libmediawiki dependencies...
Resolving dependencies...
Checking inter-conflicts...

Building libkipi...
==> Making package: libkipi 22.04.0-1 (Wed 27 Apr 2022 11:42:33 AM PDT)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
  -> Found libkipi-22.04.0.tar.xz
  -> Found libkipi-22.04.0.tar.xz.sig
==> Validating source files with sha256sums...
    libkipi-22.04.0.tar.xz ... Passed
    libkipi-22.04.0.tar.xz.sig ... Skipped
==> Verifying source file signatures with gpg...
    libkipi-22.04.0.tar.xz ... Passed
==> Removing existing $srcdir/ directory...
==> Extracting sources...
  -> Extracting libkipi-22.04.0.tar.xz with bsdtar
==> Starting build()...
-- The C compiler identification is GNU 11.2.0
-- The CXX compiler identification is GNU 11.2.0
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working C compiler: /usr/bin/cc - skipped
-- Detecting C compile features
-- Detecting C compile features - done
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Check for working CXX compiler: /usr/bin/c++ - skipped
-- Detecting CXX compile features
-- Detecting CXX compile features - done
-- ----------------------------------------------------------------------------------
-- Starting CMake configuration for: libkipi
-- Installing in the same prefix as Qt, adopting their path scheme.
-- Looking for __GLIBC__
-- Looking for __GLIBC__ - found
-- Performing Test _OFFT_IS_64BIT
-- Performing Test _OFFT_IS_64BIT - Success
-- Performing Test HAVE_DATE_TIME
-- Performing Test HAVE_DATE_TIME - Success
-- Found KF5Config: /usr/lib64/cmake/KF5Config/KF5ConfigConfig.cmake (found version "5.93.0")
-- Found KF5XmlGui: /usr/lib64/cmake/KF5XmlGui/KF5XmlGuiConfig.cmake (found version "5.93.0")
-- Found KF5Service: /usr/lib64/cmake/KF5Service/KF5ServiceConfig.cmake (found version "5.93.0")
-- Found KF5: success (found suitable version "5.93.0", minimum required is "5.85.0") found components: Config XmlGui Service
-- Performing Test COMPILER_HAS_HIDDEN_VISIBILITY
-- Performing Test COMPILER_HAS_HIDDEN_VISIBILITY - Success
-- Performing Test COMPILER_HAS_HIDDEN_INLINE_VISIBILITY
-- Performing Test COMPILER_HAS_HIDDEN_INLINE_VISIBILITY - Success
-- Performing Test COMPILER_HAS_DEPRECATED_ATTR
-- Performing Test COMPILER_HAS_DEPRECATED_ATTR - Success

-- The following OPTIONAL packages have been found:

 * KF5Auth (required version >= 5.93.0)
 * KF5Codecs (required version >= 5.93.0)
 * KF5WidgetsAddons (required version >= 5.93.0)
 * KF5ConfigWidgets (required version >= 5.93.0)
 * KF5CoreAddons (required version >= 5.93.0)

-- The following REQUIRED packages have been found:

 * ECM (required version >= 5.85.0)
 * Qt5Gui
 * Qt5 (required version >= 5.15.0)
 * Qt5Widgets (required version >= 5.15.2)
 * KF5XmlGui (required version >= 5.85.0)
 * Qt5Core (required version >= 5.15.2)
 * KF5Service (required version >= 5.85.0)
 * KF5 (required version >= 5.85.0)

-- Configuring done
-- Generating done
-- Build files have been written to: /var/tmp/pamac-build-locutus/libkipi/src/build
[  6%] Automatic MOC for target KF5Kipi
[  6%] Built target KF5Kipi_autogen
[ 12%] Automatic RCC for ../pics/libkipi.qrc
[ 18%] Building CXX object src/CMakeFiles/KF5Kipi.dir/KF5Kipi_autogen/mocs_compilation.cpp.o
[ 25%] Building CXX object src/CMakeFiles/KF5Kipi.dir/interface.cpp.o
[ 31%] Building CXX object src/CMakeFiles/KF5Kipi.dir/imagecollection.cpp.o
[ 37%] Building CXX object src/CMakeFiles/KF5Kipi.dir/imagecollectionshared.cpp.o
[ 43%] Building CXX object src/CMakeFiles/KF5Kipi.dir/imageinfoshared.cpp.o
[ 50%] Building CXX object src/CMakeFiles/KF5Kipi.dir/plugin.cpp.o
[ 56%] Building CXX object src/CMakeFiles/KF5Kipi.dir/imageinfo.cpp.o
[ 62%] Building CXX object src/CMakeFiles/KF5Kipi.dir/uploadwidget.cpp.o
[ 68%] Building CXX object src/CMakeFiles/KF5Kipi.dir/imagecollectionselector.cpp.o
[ 75%] Building CXX object src/CMakeFiles/KF5Kipi.dir/configwidget.cpp.o
[ 81%] Building CXX object src/CMakeFiles/KF5Kipi.dir/pluginloader.cpp.o
/var/tmp/pamac-build-locutus/libkipi/src/libkipi-22.04.0/src/pluginloader.cpp: In member function β€˜KIPI::Plugin* KIPI::PluginLoader::Info::plugin() const’:
/var/tmp/pamac-build-locutus/libkipi/src/libkipi-22.04.0/src/pluginloader.cpp:139:55: warning: β€˜T* KService::createInstance(QObject*, const QVariantList&, QString*) const [with T = KIPI::Plugin; QVariantList = QList<QVariant>]’ is deprecated: Since 5.86. Use KPluginMetaData/KPluginFactory or QPluginloader instead [-Wdeprecated-declarations]
  139 |         d->plugin = d->service->createInstance<Plugin>(PluginLoader::instance()->interface(), QVariantList(), &error);
      |                     ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
In file included from /usr/include/KF5/KService/KService:1,
                 from /var/tmp/pamac-build-locutus/libkipi/src/libkipi-22.04.0/src/pluginloader.h:24,
                 from /var/tmp/pamac-build-locutus/libkipi/src/libkipi-22.04.0/src/pluginloader.cpp:11:
/usr/include/KF5/KService/kservice.h:560:8: note: declared here
  560 |     T *createInstance(QObject *parent = nullptr, const QVariantList &args = QVariantList(), QString *error = nullptr) const
      |        ^~~~~~~~~~~~~~
/var/tmp/pamac-build-locutus/libkipi/src/libkipi-22.04.0/src/pluginloader.cpp: In member function β€˜void KIPI::PluginLoader::init()’:
/var/tmp/pamac-build-locutus/libkipi/src/libkipi-22.04.0/src/pluginloader.cpp:269:55: warning: β€˜static KServiceTypeTrader* KServiceTypeTrader::self()’ is deprecated: Since 5.90. See class API docs [-Wdeprecated-declarations]
  269 |     const KService::List offers = KServiceTypeTrader::self()->query(QString::fromLatin1("KIPI/Plugin"));
      |                                                       ^~~~
In file included from /usr/include/KF5/KService/KServiceTypeTrader:1,
                 from /var/tmp/pamac-build-locutus/libkipi/src/libkipi-22.04.0/src/pluginloader.cpp:23:
/usr/include/KF5/KService/kservicetypetrader.h:133:32: note: declared here
  133 |     static KServiceTypeTrader *self();
      |                                ^~~~
/var/tmp/pamac-build-locutus/libkipi/src/libkipi-22.04.0/src/pluginloader.cpp:269:59: warning: β€˜static KServiceTypeTrader* KServiceTypeTrader::self()’ is deprecated: Since 5.90. See class API docs [-Wdeprecated-declarations]
  269 |     const KService::List offers = KServiceTypeTrader::self()->query(QString::fromLatin1("KIPI/Plugin"));
      |                                   ~~~~~~~~~~~~~~~~~~~~~~~~^~
In file included from /usr/include/KF5/KService/KServiceTypeTrader:1,
                 from /var/tmp/pamac-build-locutus/libkipi/src/libkipi-22.04.0/src/pluginloader.cpp:23:
/usr/include/KF5/KService/kservicetypetrader.h:133:32: note: declared here
  133 |     static KServiceTypeTrader *self();
      |                                ^~~~
[ 87%] Building CXX object src/CMakeFiles/KF5Kipi.dir/libkipi_debug.cpp.o
[ 93%] Building CXX object src/CMakeFiles/KF5Kipi.dir/KF5Kipi_autogen/5ZWK6BVU24/qrc_libkipi.cpp.o
[100%] Linking CXX shared library ../bin/libKF5Kipi.so
[100%] Built target KF5Kipi
==> Entering fakeroot environment...
==> Starting package()...
-- Install configuration: ""
-- Installing: /var/tmp/pamac-build-locutus/libkipi/pkg/libkipi/usr/share/icons/hicolor/128x128/apps/kipi.png
-- Installing: /var/tmp/pamac-build-locutus/libkipi/pkg/libkipi/usr/share/icons/hicolor/16x16/apps/kipi.png
-- Installing: /var/tmp/pamac-build-locutus/libkipi/pkg/libkipi/usr/share/icons/hicolor/22x22/apps/kipi.png
-- Installing: /var/tmp/pamac-build-locutus/libkipi/pkg/libkipi/usr/share/icons/hicolor/32x32/apps/kipi.png
-- Installing: /var/tmp/pamac-build-locutus/libkipi/pkg/libkipi/usr/share/icons/hicolor/48x48/apps/kipi.png
-- Installing: /var/tmp/pamac-build-locutus/libkipi/pkg/libkipi/usr/lib/libKF5Kipi.so.5.2.0
-- Installing: /var/tmp/pamac-build-locutus/libkipi/pkg/libkipi/usr/lib/libKF5Kipi.so.32.0.0
-- Installing: /var/tmp/pamac-build-locutus/libkipi/pkg/libkipi/usr/lib/libKF5Kipi.so
-- Installing: /var/tmp/pamac-build-locutus/libkipi/pkg/libkipi/usr/share/kservicetypes5/kipiplugin.desktop
-- Installing: /var/tmp/pamac-build-locutus/libkipi/pkg/libkipi/usr/include/KF5/KIPI/KIPI/Plugin
-- Installing: /var/tmp/pamac-build-locutus/libkipi/pkg/libkipi/usr/include/KF5/KIPI/KIPI/PluginLoader
-- Installing: /var/tmp/pamac-build-locutus/libkipi/pkg/libkipi/usr/include/KF5/KIPI/KIPI/Interface
-- Installing: /var/tmp/pamac-build-locutus/libkipi/pkg/libkipi/usr/include/KF5/KIPI/KIPI/ImageInfo
-- Installing: /var/tmp/pamac-build-locutus/libkipi/pkg/libkipi/usr/include/KF5/KIPI/KIPI/ImageCollection
-- Installing: /var/tmp/pamac-build-locutus/libkipi/pkg/libkipi/usr/include/KF5/KIPI/KIPI/ImageInfoShared
-- Installing: /var/tmp/pamac-build-locutus/libkipi/pkg/libkipi/usr/include/KF5/KIPI/KIPI/ImageCollectionShared
-- Installing: /var/tmp/pamac-build-locutus/libkipi/pkg/libkipi/usr/include/KF5/KIPI/KIPI/ImageCollectionSelector
-- Installing: /var/tmp/pamac-build-locutus/libkipi/pkg/libkipi/usr/include/KF5/KIPI/KIPI/UploadWidget
-- Installing: /var/tmp/pamac-build-locutus/libkipi/pkg/libkipi/usr/include/KF5/KIPI/KIPI/ConfigWidget
-- Installing: /var/tmp/pamac-build-locutus/libkipi/pkg/libkipi/usr/include/KF5/KIPI/kipi/plugin.h
-- Installing: /var/tmp/pamac-build-locutus/libkipi/pkg/libkipi/usr/include/KF5/KIPI/kipi/pluginloader.h
-- Installing: /var/tmp/pamac-build-locutus/libkipi/pkg/libkipi/usr/include/KF5/KIPI/kipi/interface.h
-- Installing: /var/tmp/pamac-build-locutus/libkipi/pkg/libkipi/usr/include/KF5/KIPI/kipi/imageinfo.h
-- Installing: /var/tmp/pamac-build-locutus/libkipi/pkg/libkipi/usr/include/KF5/KIPI/kipi/imagecollection.h
-- Installing: /var/tmp/pamac-build-locutus/libkipi/pkg/libkipi/usr/include/KF5/KIPI/kipi/imageinfoshared.h
-- Installing: /var/tmp/pamac-build-locutus/libkipi/pkg/libkipi/usr/include/KF5/KIPI/kipi/imagecollectionshared.h
-- Installing: /var/tmp/pamac-build-locutus/libkipi/pkg/libkipi/usr/include/KF5/KIPI/kipi/imagecollectionselector.h
-- Installing: /var/tmp/pamac-build-locutus/libkipi/pkg/libkipi/usr/include/KF5/KIPI/kipi/uploadwidget.h
-- Installing: /var/tmp/pamac-build-locutus/libkipi/pkg/libkipi/usr/include/KF5/KIPI/kipi/configwidget.h
-- Installing: /var/tmp/pamac-build-locutus/libkipi/pkg/libkipi/usr/include/KF5/KIPI/kipi/libkipi_export.h
-- Installing: /var/tmp/pamac-build-locutus/libkipi/pkg/libkipi/usr/include/KF5/KIPI/kipi/libkipi_config.h
-- Installing: /var/tmp/pamac-build-locutus/libkipi/pkg/libkipi/usr/include/KF5/libkipi_version.h
-- Installing: /var/tmp/pamac-build-locutus/libkipi/pkg/libkipi/usr/share/qlogging-categories5/kipi.categories
-- Installing: /var/tmp/pamac-build-locutus/libkipi/pkg/libkipi/usr/lib/cmake/KF5Kipi/KF5KipiConfig.cmake
-- Installing: /var/tmp/pamac-build-locutus/libkipi/pkg/libkipi/usr/lib/cmake/KF5Kipi/KF5KipiConfigVersion.cmake
-- Installing: /var/tmp/pamac-build-locutus/libkipi/pkg/libkipi/usr/lib/cmake/KF5Kipi/KF5KipiTargets.cmake
-- Installing: /var/tmp/pamac-build-locutus/libkipi/pkg/libkipi/usr/lib/cmake/KF5Kipi/KF5KipiTargets-noconfig.cmake
==> Tidying install...
  -> Removing libtool files...
  -> Purging unwanted files...
  -> Removing static library files...
  -> Stripping unneeded symbols from binaries and libraries...
  -> Compressing man and info pages...
==> Checking for packaging issues...
==> Creating package "libkipi"...
  -> Generating .PKGINFO file...
  -> Generating .BUILDINFO file...
  -> Generating .MTREE file...
  -> Compressing package...
==> Creating package "libkipi-debug"...
  -> Generating .PKGINFO file...
  -> Generating .BUILDINFO file...
  -> Generating .MTREE file...
  -> Compressing package...
==> Leaving fakeroot environment.
==> Finished making: libkipi 22.04.0-1 (Wed 27 Apr 2022 11:42:50 AM PDT)
==> Cleaning up...
Cloning libmediawiki build files...
Generating libmediawiki information...

Building libmediawiki...
==> Making package: libmediawiki 5.37.0-4 (Wed 27 Apr 2022 11:42:54 AM PDT)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
  -> Downloading libmediawiki-5.37.0.tar.xz...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
100   337  100   337    0     0    363      0 --:--:-- --:--:-- --:--:--   363

  0     0    0     0    0     0      0      0 --:--:--  0:00:01 --:--:--     0
  0     0    0     0    0     0      0      0 --:--:--  0:00:01 --:--:--     0

100 55188  100 55188    0     0  37031      0  0:00:01  0:00:01 --:--:-- 37031
  -> Downloading libmediawiki-5.37.0.tar.xz.sig...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:--  0:00:01 --:--:--     0
  0     0    0     0    0     0      0      0 --:--:--  0:00:01 --:--:--     0
100   341  100   341    0     0    191      0  0:00:01  0:00:01 --:--:--   191

  0     0    0     0    0     0      0      0 --:--:--  0:00:02 --:--:--     0

100   819  100   819    0     0    331      0  0:00:02  0:00:02 --:--:--   331
==> Validating source files with sha256sums...
    libmediawiki-5.37.0.tar.xz ... Passed
    libmediawiki-5.37.0.tar.xz.sig ... Skipped
==> Verifying source file signatures with gpg...
    libmediawiki-5.37.0.tar.xz ... FAILED (unknown public key 2E7C0367B9BFA089)
==> ERROR: One or more PGP signatures could not be verified!
Failed to build libmediawiki
╭─[email protected] in ~
╰─λ update
[sudo] password for locutus:
:: Synchronizing package databases...
core is up to date
extra is up to date
community is up to date
multilib is up to date
chaotic-aur is up to date

--> Refreshing mirrorlists using rate-mirrors, please be patient..
:: Synchronizing package databases...
core                                  156.8 KiB   792 KiB/s 00:00 [------------------------------------] 100%
extra                                1701.0 KiB  5.79 MiB/s 00:00 [------------------------------------] 100%
community                               6.6 MiB  15.8 MiB/s 00:00 [------------------------------------] 100%
multilib                              175.7 KiB   774 KiB/s 00:00 [------------------------------------] 100%
chaotic-aur                          1735.3 KiB  2.65 MiB/s 00:01 [------------------------------------] 100%
spawn pacman -Su
:: Starting full system upgrade...
there is nothing to do

Checking for plugin updates
Nothing to install / update

System updated! 🐧

McFly: Upgrading McFly DB to version 3, please wait...thread 'main' panicked at 'McFly error: Unable to add cmd_tpl to commands (no such table: commands)', src/history/schema.rs:41:17
note: run with `RUST_BACKTRACE=1` environment variable to display a backtrace

╭─[email protected] in ~  
╰─λ garuda-inxi
System:
Kernel: 5.17.4-zen1-1-zen arch: x86_64 bits: 64 compiler: gcc v: 11.2.0
parameters: BOOT_IMAGE=/@/boot/vmlinuz-linux-zen
root=UUID=4006dde4-6bac-4717-80cf-77ccd2da5135 rw [email protected]
quiet quiet splash rd.udev.log_priority=3 vt.global_cursor_default=0
loglevel=3
Desktop: KDE Plasma v: 5.24.4 tk: Qt v: 5.15.3 wm: kwin_x11 vt: 1
dm: SDDM Distro: Garuda Linux base: Arch Linux
Machine:
Type: Desktop Mobo: ASUSTeK model: ROG STRIX B450-F GAMING v: Rev 1.xx
serial: <superuser required> UEFI: American Megatrends v: 4204
date: 01/28/2021
Battery:
Device-1: hidpp_battery_0 model: Logitech Wireless Mouse M325
serial: <filter> charge: 55% (should be ignored) rechargeable: yes
status: discharging
Device-2: hidpp_battery_1 model: Logitech Wireless Keyboard K360
serial: <filter> charge: 100% (should be ignored) rechargeable: yes
status: discharging
CPU:
Info: model: AMD Ryzen 5 3600 bits: 64 type: MT MCP arch: Zen 2
family: 0x17 (23) model-id: 0x71 (113) stepping: 0 microcode: 0x8701021
Topology: cpus: 1x cores: 6 tpc: 2 threads: 12 smt: enabled cache:
L1: 384 KiB desc: d-6x32 KiB; i-6x32 KiB L2: 3 MiB desc: 6x512 KiB
L3: 32 MiB desc: 2x16 MiB
Speed (MHz): avg: 3601 high: 3700 min/max: 2200/4208 boost: enabled
scaling: driver: acpi-cpufreq governor: performance cores: 1: 3594 2: 3587
3: 3599 4: 3599 5: 3597 6: 3700 7: 3600 8: 3595 9: 3593 10: 3598 11: 3553
12: 3598 bogomips: 86395
Flags: avx avx2 ht lm nx pae sse sse2 sse3 sse4_1 sse4_2 sse4a ssse3 svm
Vulnerabilities:
Type: itlb_multihit status: Not affected
Type: l1tf status: Not affected
Type: mds status: Not affected
Type: meltdown status: Not affected
Type: spec_store_bypass
mitigation: Speculative Store Bypass disabled via prctl
Type: spectre_v1
mitigation: usercopy/swapgs barriers and __user pointer sanitization
Type: spectre_v2
mitigation: Retpolines, IBPB: conditional, STIBP: conditional, RSB filling
Type: srbds status: Not affected
Type: tsx_async_abort status: Not affected
Graphics:
Device-1: NVIDIA TU116 [GeForce GTX 1650 SUPER] vendor: eVga.com.
driver: nvidia v: 510.60.02 alternate: nouveau,nvidia_drm pcie: gen: 3
speed: 8 GT/s lanes: 8 link-max: lanes: 16 bus-ID: 08:00.0
chip-ID: 10de:2187 class-ID: 0300
Display: x11 server: X.Org v: 21.1.3 with: Xwayland v: 22.1.1
compositor: kwin_x11 driver: X: loaded: nvidia unloaded: modesetting
alternate: fbdev,nouveau,nv,vesa gpu: nvidia display-ID: :0 screens: 1
Screen-1: 0 s-res: 2560x1080 s-dpi: 97 s-size: 670x283mm (26.38x11.14")
s-diag: 727mm (28.63")
Monitor-1: HDMI-0 res: 2560x1080 hz: 60 dpi: 97
size: 673x284mm (26.5x11.18") diag: 730mm (28.76") modes: N/A
OpenGL: renderer: NVIDIA GeForce GTX 1650 SUPER/PCIe/SSE2
v: 4.6.0 NVIDIA 510.60.02 direct render: Yes
Audio:
Device-1: NVIDIA TU116 High Definition Audio vendor: eVga.com.
driver: snd_hda_intel v: kernel pcie: gen: 3 speed: 8 GT/s lanes: 8
link-max: lanes: 16 bus-ID: 08:00.1 chip-ID: 10de:1aeb class-ID: 0403
Device-2: AMD Starship/Matisse HD Audio vendor: ASUSTeK
driver: snd_hda_intel v: kernel pcie: gen: 4 speed: 16 GT/s lanes: 16
bus-ID: 0b:00.4 chip-ID: 1022:1487 class-ID: 0403
Sound Server-1: ALSA v: k5.17.4-zen1-1-zen running: yes
Sound Server-2: PulseAudio v: 15.0 running: no
Sound Server-3: PipeWire v: 0.3.50 running: yes
Network:
Device-1: Intel I211 Gigabit Network vendor: ASUSTeK driver: igb v: kernel
pcie: gen: 1 speed: 2.5 GT/s lanes: 1 port: e000 bus-ID: 03:00.0
chip-ID: 8086:1539 class-ID: 0200
IF: enp3s0 state: up speed: 1000 Mbps duplex: full mac: <filter>
Drives:
Local Storage: total: 20.7 TiB used: 11.53 TiB (55.7%)
SMART Message: Unable to run smartctl. Root privileges required.
ID-1: /dev/nvme0n1 maj-min: 259:0 vendor: Western Digital
model: WD Blue SN570 500GB size: 465.76 GiB block-size: physical: 512 B
logical: 512 B speed: 31.6 Gb/s lanes: 4 type: SSD serial: <filter>
rev: 234100WD temp: 36.9 C scheme: GPT
ID-2: /dev/sda maj-min: 8:0 vendor: Samsung model: MZNTY128HDHP-000L1
size: 119.24 GiB block-size: physical: 512 B logical: 512 B speed: 6.0 Gb/s
type: SSD serial: <filter> rev: 3L0Q scheme: GPT
ID-3: /dev/sdb maj-min: 8:16 type: USB vendor: Seagate
model: Expansion HDD size: 7.28 TiB block-size: physical: 4096 B
logical: 512 B type: N/A serial: <filter> rev: 1801 scheme: GPT
ID-4: /dev/sdc maj-min: 8:32 type: USB vendor: Seagate
model: ST330006 51NS size: 2.73 TiB block-size: physical: 4096 B
logical: 512 B type: N/A serial: <filter> rev: 7101 scheme: GPT
SMART Message: Unknown USB bridge. Flash drive/Unsupported enclosure?
ID-5: /dev/sdd maj-min: 8:48 type: USB vendor: Seagate
model: ST8000AS0002-1NA17Z size: 7.28 TiB block-size: physical: 4096 B
logical: 512 B type: HDD rpm: 5980 serial: <filter> scheme: GPT
ID-6: /dev/sde maj-min: 8:64 type: USB vendor: PNY model: USB 3.0 FD
size: 115.38 GiB block-size: physical: 512 B logical: 512 B type: N/A
serial: <filter> rev: PMAP scheme: MBR
SMART Message: Unknown USB bridge. Flash drive/Unsupported enclosure?
ID-7: /dev/sdf maj-min: 8:80 type: USB vendor: Seagate
model: ST3000DM 001-1E6166 size: 2.73 TiB block-size: physical: 4096 B
logical: 512 B type: N/A serial: <filter> rev: 7101 scheme: GPT
SMART Message: Unknown USB bridge. Flash drive/Unsupported enclosure?
Partition:
ID-1: / raw-size: 118.95 GiB size: 118.95 GiB (100.00%)
used: 19.66 GiB (16.5%) fs: btrfs dev: /dev/sda2 maj-min: 8:2
ID-2: /boot/efi raw-size: 300 MiB size: 299.4 MiB (99.80%)
used: 576 KiB (0.2%) fs: vfat dev: /dev/sda1 maj-min: 8:1
ID-3: /home raw-size: 118.95 GiB size: 118.95 GiB (100.00%)
used: 19.66 GiB (16.5%) fs: btrfs dev: /dev/sda2 maj-min: 8:2
ID-4: /var/log raw-size: 118.95 GiB size: 118.95 GiB (100.00%)
used: 19.66 GiB (16.5%) fs: btrfs dev: /dev/sda2 maj-min: 8:2
ID-5: /var/tmp raw-size: 118.95 GiB size: 118.95 GiB (100.00%)
used: 19.66 GiB (16.5%) fs: btrfs dev: /dev/sda2 maj-min: 8:2
Swap:
Kernel: swappiness: 133 (default 60) cache-pressure: 100 (default)
ID-1: swap-1 type: zram size: 23.45 GiB used: 1024 KiB (0.0%)
priority: 100 dev: /dev/zram0
Sensors:
System Temperatures: cpu: 41.0 C mobo: 32.0 C gpu: nvidia temp: 41 C
Fan Speeds (RPM): cpu: 1293 case-1: 0 case-2: 0 case-3: 0 gpu: nvidia
fan: 0%
Power: 12v: 9.97 5v: N/A 3.3v: N/A vbat: 3.18
Info:
Processes: 403 Uptime: 1h 14m wakeups: 10 Memory: 23.45 GiB
used: 5.27 GiB (22.5%) Init: systemd v: 250 tool: systemctl Compilers:
gcc: 11.2.0 Packages: pacman: 1924 lib: 545 flatpak: 0 Shell: fish v: 3.4.1
default: Bash v: 5.1.16 running-in: konsole inxi: 3.3.15
Garuda (2.6.2-1):
System install date:     2022-04-27
Last full system update: 2022-04-27 ↻
Is partially upgraded:   No
Relevant software:       NetworkManager
Windows dual boot:       No/Undetected
Snapshots:               Snapper
Failed units:            bluetooth-autoconnect.service

Have you tried a

gpg --recv-key 2E7C0367B9BFA089

?
Then either

update --aur

or

paru libmediawiki
2 Likes

Had same issue

Below fixed it for me:

sudo pacman-key --recv-keys 2E7C0367B9BFA089

https://aur.archlinux.org/packages/libmediawiki

1 Like

Thanks guys when I go back into Garuda I'll try the suggestions.

Thanks guys when I go back into Garuda I'll try the suggestions.

EDIT:

sudo pacman-key --recv-keys 2E7C0367B9BFA089 did the trick, but still getting the below.

╭─[email protected] in ~ 
╰─λ topgrade

―― 14:00:12 - System update ――――――――――――――――――――――――――――――――――――――――――――――――――――
[sudo] password for locutus:                      
:: Synchronizing package databases...
herecura is up to date
core is up to date
extra is up to date
community is up to date
multilib is up to date
chaotic-aur is up to date
:: Starting full system upgrade...
there is nothing to do
:: Searching databases for updates...
:: Searching AUR for updates...
:: Checking development packages...
-> Flagged Out Of Date AUR Packages:  snapd-glib
there is nothing to do

―― 14:00:25 - Configuration update ―――――――――――――――――――――――――――――――――――――――――――――

―― 14:00:25 - TLDR ―――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――
Successfully updated cache.

―― 14:00:26 - micro ――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――
Checking for plugin updates
Nothing to install / update

―― 14:00:26 - Flatpak User Packages ――――――――――――――――――――――――――――――――――――――――――――
Looking for updates…
Nothing to do.

―― 14:00:26 - Flatpak System Packages ――――――――――――――――――――――――――――――――――――――――――
Looking for updates…
Nothing to do.

―― 14:00:26 - snap ―――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――
All snaps up to date.

―― 14:00:26 - Firmware upgrades ――――――――――――――――――――――――――――――――――――――――――――――――
Firmware metadata last refresh: 3 minutes ago. Use --force to refresh again.
Devices with no available firmware updates:
β€’ MZNTY128HDHP-000L1
β€’ System Firmware
β€’ UEFI dbx
β€’ Unifying Receiver
β€’ Unifying Receiver
β€’ WD Blue SN570 500GB
No updatable devices

―― 14:00:26 - Summary ――――――――――――――――――――――――――――――――――――――――――――――――――――――――――
System update: OK
config-update: OK
TLDR: OK
micro: OK
Flatpak: OK
snap: OK
Firmware upgrades: OK
McFly: Upgrading McFly DB to version 3, please wait...thread 'main' panicked at 'McFly error: Unable to add cmd_tpl to commands (no such table: commands)', src/history/schema.rs:41:17
note: run with `RUST_BACKTRACE=1` environment variable to display a backtrace

For the McFly error usually

rm ~/.mcfly/history.db

works.

2 Likes

╭─[email protected] in ~ took 1ms
[:red_circle:] Γ— sudo rm ~/.mcfly/history.db
[sudo] password for locutus:
rm: cannot remove '/home/locutus/.mcfly/history.db': No such file or directory

Why sudo in home?

Cause when I used that command the first time and it didn't work I thought it might need sudo to work.

EDIT:

Just checked home and there is no .mcfly directory. Just did a search looking only for myfly and from one thread it says it can just be ignored.

Ok now that I know that the message can be ignored is there a way I can simply hide the message, or preferably remove McFly without breaking Fish? Thanks

I had similar issue and in my case there were some bad-characters in my bash-history, it looks like:

$ cat .bash_history
   1   β”‚ οΏ½^Awhich psql
   2   β”‚ ^@exit
   3   β”‚ ^@ksh
   4   | ls -l 
   5   | mkdir rex
   6   | .. 

So I performed following steps:

  1. Removed bad lines in ~/.bash_history (i.e. 1,2,3 in this case)
  2. Deleted ~/.mcfly/history.db
  3. source "$(brew --prefix)/opt/mcfly/mcfly.bash" ## For me, it was installed via homebrew
  4. RUST_BACKTRACE=1 mcfly -d search

and then mcfly was working just fine, I guess it has issue in importing non-ASCII characters from .bash_history.

1 Like

This topic was automatically closed 2 days after the last reply. New replies are no longer allowed.